.toggle-switch {
  display: flex;
  align-items: center;
}
.toggle-switch label {
  margin: 0;
  width: 1.75rem;
  position: relative;
}
.toggle-switch label::before,
.toggle-switch label::after {
  display: block;
  content: "";
  position: absolute;
  border-radius: 0.5rem;
  transition: 0.15s ease-in-out;
}
.toggle-switch label::before {
  top: -0.5rem;
  width: 1.75rem;
  height: 1rem;
  background-color: #fff;
  border: #adb5bd solid 1px;
}
.toggle-switch label::after {
  top: calc(-0.5rem + 2px);
  left: 2px;
  width: calc(1rem - 4px);
  height: calc(1rem - 4px);
  background-color: #adb5bd;
}
.toggle-switch input {
  width: 0px;
  height: 0px;
  overflow: hidden;
}
.toggle-switch input:checked + label::before {
  border-color: #f44336;
  background-color: #f44336;
}
.toggle-switch input:checked + label::after {
  background-color: #fff;
  transform: translateX(0.75rem);
}
.toggle-switch input:active + label::before {
  background-color: #ffb3b3;
  border-color: #ffb3b3;
}
.toggle-switch input:focus + label::before {
  box-shadow: 0 0 0 0.1rem rgba(255,0,0,0.25);
}
.toggle-switch input:disabled + label::after {
  width: calc(1.75rem - 4px);
}
